﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Telerik.Pivot.Core;
using Telerik.Pivot.Core.Groups;
using Telerik.Windows.Controls.Pivot;

namespace CustomHeaderTemplate
{
    public class DataToWidthConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var data = value as IGroup;
            var month = ((MonthGroup)data.Name).Month;

            if (month == 6)
            {
                return 100;
            }
            else if (month == 7)
            {
                return 200;
            }
            else
            {
                return 300;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
